%%% #0.    BASIC INFORMATION
%%% ----------------------------------------------------------
%%% %CCaseFile:	ccv_locale.hrl %
%%% Author:          Ulf Wiger          <ulf.wiger@ericsson.com>
%%% Description:     Record definitions for CCviewer file access
%%%
%%% ----------------------------------------------------------
-hrl_id('54/190 55-LXA 119 34 Ux').
-hrl_vsn('/main/4').
-hrl_date('2003-06-19').
-hrl_author('etxuwig').

%% ccviewer.hrl

%%% ----------------------------------------------------------
%%% #1.    REVISION LOG
%%% ----------------------------------------------------------
%%% Rev        Date     Name       What
%%% --------   ------   --------   ---------------------------
%%% <Brnch/4>  000105   etxuwig    Added email to profile
%%% ----------------------------------------------------------
%%%
%%% ----------------------------------------------------------
%%% #2.    CODE
%%% #---------------------------------------------------------
%%% #2.1   DEFINITION OF CONSTANTS
%%% #---------------------------------------------------------
%%% ----------------------------------------------------------
%%% #           CONSTANT_NAME
%%% Description: 
%%% ----------------------------------------------------------


%%% #---------------------------------------------------------
%%% #2.2   DEFINITION OF RECORDS
%%% #---------------------------------------------------------

%%% ----------------------------------------------------------
%%% #           ccv_file
%%% Description: Internal representation of files
%%% ----------------------------------------------------------
-record(ccv_file,
	{type,
	 cs,
	 vsn,
	 acl = [], % [{allow,[Group]} | {deny,[Group]}], [] : no protection
	 internal,
	 public}).

